default:
  image: alpine:3.14

stages:
  - kick-clock
  - main

kick_clock:
  stage: kick-clock
  before_script:
    - apk add curl
  script:
    - "curl -X POST --fail -F token=${RESET_CLOCK_PIPELINE_TOKEN} -F ref=main https://gitlab.com/api/v4/projects/33865798/trigger/pipeline"

main:
  stage: main
  # tags:
  #   - windows-runner
  script:
    - echo "do something that require clock controller action, like start a windows runner(gcloud compute instance start INSTANCE_NAME ....)"
